package com.sz.admin.monitor.sdk;

/**
 * ClassName: AbstractNVR
 * Package: com.sz.admin.monitor.hik
 * Description: 抽象类
 */
public abstract class AbstractNVR {
    private String ipAddress;
    private String port;
    private String userName;
    private String password;
    private int lUserID;
    /**
     * 注册SDK
     * @return 返回对象
     */
    public abstract Object registerPlugin();
    /**
     * 登陆vcr
     * @return 返回句柄
     */
    public abstract int loginVcr(String ipAddress,String port,String userName,String password);
    /**
     * 云台控制
     * @return true成功 false失败
     */
    public abstract boolean ptzControl(int luerId,int iChannel,String ptzCommand,String dwStop,int dwSpeed);
    /**
     * 预制点设置调用删除
     * @return true成功 false失败
     */
    public abstract boolean ptzPreset(int luerId,int iChannel,int ptzPresetCmd,String dwPresetIndex);

    public abstract boolean ptzPreset(int luerId, int iChannel, int ptzPresetCmd, String dwPresetIndex, String pointName);

    /**
     * 设备抓图
     * @return true成功 false失败
     */
    public abstract String capturePic(int luerId,int iChannel,String fileName);
}
